Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16360

Description

Since the merging of the 'data_defined_symbology' branch (see commit:6afd9f43b33d028ef242f0dbee3f535d560d677a), the line pattern

fill symbology is broken when exporting maps as images through the composer.

When QGIS exports maps as image, it renders line pattern filled polygons using distance and line width values as map units irrespective

of whether it was set to millimeters or map units.

Steps to reproduce this issue:

1. Create a new project

2. Set the projection to EPSG 3148 "UTM Indian 1960 48N" 

3. Load the attached polygon shapefile

4. Set the symbology of the added polygon layer to line pattern fill (no need to change settings of the line pattern fill, the default - which

uses millimeters - will do fine)

5. Create a new print composer

6. Add a map item

5. Export the composer as image

While the line pattern fill renders OK on the QGIS canvas, the exported image shows the distance and line width unit is using "map unit",

even though it is set to "millimeters".

History

#1 - 2013-03-18 09:00 PM - Mathieu Pellerin - nIRV

- Priority changed from Normal to Severe/Regression

Elevated to blocker as it is a regression from QGIS 1.8.

#2 - 2013-03-19 09:16 AM - Marco Hugentobler

- Status changed from Open to Feedback

This should work again with 9ed6f252bc3e15b92a68935e2d6741a1370769b0. Do you confirm?

#3 - 2013-03-19 06:43 PM - Mathieu Pellerin - nIRV

- % Done changed from 0 to 100

- Status changed from Feedback to Closed
- Category set to Symbology

Marco, confirmed fixed, thanks for being so quick on this.

Files

ELCs_2012.zip 374 KB 2013-03-18 Mathieu Pellerin - nIRV
